############
############
##FIGURE 1##
############
############

###########
#Load data#
###########
data <- read.csv("./data/muslimINCVoteshare.csv", as.is=T)


###################
#Generate Figure 1#
###################
pdf("./output/figures/Figure1.pdf")

#Empty plot
plot(data$Election.year, data$Muslim.INC.vote, ylim=c(0,100), type='n', xlab="Year", ylab="Vote Share", main="")

#Add INC voteshare among Muslims
points(data$Election.year, data$Muslim.INC.vote, col="forestgreen", pch=19)
x <- loess(Muslim.INC.vote ~ Election.year, degree=2, span=.75, data=data)
lines(seq(1957,2011,1),predict(x, seq(1957,2011,1)), col="forestgreen")

#Add BJP voteshare among Muslims
points(data$Election.year, data$Muslim.BJP.vote, col="goldenrod1", pch=19)
x <- loess(Muslim.BJP.vote ~ Election.year, degree=2, span=.75, data=data)
lines(seq(1957,2011,1),predict(x, seq(1957,2011,1)), col="goldenrod1")

#Add INC overall voteshare
points(data$Election.year, data$INC.voteshare, col = "gray50", pch=19)
x <- loess(INC.voteshare ~ Election.year, degree = 2, span = .75, data = data)
lines(seq(1957,2011,1), predict(x, seq(1957,2011,1)), col = 'gray50')

#Add a legend
legend(1960, 100, 
       legend=c('INC Overall',"INC among Muslims","BJP/BJS among Muslims"), 
       col=c('gray50','forestgreen','goldenrod1'), ncol=2, 
       fill=c('gray50','forestgreen','goldenrod1'))  

dev.off()
