####################
####################
##FIGURE D8 and D9##
####################
####################

###########
#Load data#
###########

elections = read.csv("./data/closeElectionBalanceData.csv", as.is=T)

####################
#Generate Figure D8#
####################

#Close INC elections out of ALL elections
for (bw in 1) {
  #Create close election indicator
  temp = elections
  temp$close_election = abs(elections$rd_INC_mov)<=bw
  print(paste("Bandwidth:",bw))
  #Calculate close elections by year
  by.year = tapply(temp$close_election, temp$year, function(x) mean(x, na.rm=T))
  by.year.m = mean(by.year, na.rm=T)
  by.year.sd = sd(by.year, na.rm=T)	
  #Save plot
  pdf("./output/figures/FigureD8.pdf", width=8, height=4)	
  x = barplot(by.year, ylim=c(0, by.year.m + 2* by.year.sd), axisnames=F, xlab="Election Year", ylab="Prop. of Elections")
  labs = names(by.year)
  text(cex = 1, x=x-.25, y=-0.0025, labs, xpd=T, srt=45)
  dev.off()
}

####################
#Generate Figure D9#
####################

for (bw in 1) {
     #Create close election indicator
     temp = elections
     temp$close_election = abs(elections$rd_INC_mov)<=bw
     print(paste("Bandwidth:",bw))
     #Calculate close elections by state
     by.state = tapply(temp$close_election, temp$state, function(x) mean(x, na.rm=T))
     by.state.m = mean(by.state, na.rm=T)
     by.state.sd = sd(by.state, na.rm=T)	
     #Save plot
     pdf("./output/figures/FigureD9.pdf", width=8, height=4)
     x = barplot(by.state, ylim=c(0, .1), axisnames=F, xlab="Election Year", ylab="Prop. of Elections")
     labs = names(by.state)
     text(cex = .5, x=x-.25, y=-0.0025, labs, xpd=T, srt=45)
     dev.off()
     }