###################
###################
##Table D1:
###################
###################

###########
#Load data#
###########
data <- read.csv("./data/analysisPanelBW1.csv", as.is=T)

#################################
#Generate descriptive statistics#
#################################

#List of variables to describe
vars.1961 <- c("COUNT", "CASUALTIES", "RIOTDAYS", "COUNT.bin", "rd_INC_seatprop", "rd_INC_iv", "rd_INC_closeprop", "seatnum", "muslim_prop", "CM_INC", "INC_voteshare", "Turnout")

#Variable long names
var.names.1961 <- c("Number of riots", "Number of riot casualties", "Number of riot days", "Any Riot", "\\% Congress seats", "\\% Congress close wins", "\\% Congress close elections", "Number of Seats", "\\% Muslim", "Congress chief minister", "\\% Congress vote", "\\% Turnout")

#Generate Descriptive Statistics
Descriptives <- t(apply(data[,c(vars.1961)], MARGIN=2, function(x) cbind(Mean = round(mean(x, na.rm=T), digs), SD = round(sd(x, na.rm=T), digs), N = length(na.omit(x)), Min = round(min(x, na.rm=T), digs), Max = round(max(x, na.rm=T), digs))))

#Format Table
Descriptives <- data.frame(Descriptives, stringsAsFactors=F)
names(Descriptives) <- c("Mean", "SD", "N", "Min", "Max")
rownames(Descriptives) <- var.names.1961

###################
#Generate Table D1#
###################

file.name = "./output/tables/TableD1.tex"

if (make.latex.tables){
  latex(Descriptives,caption="Descriptive Statistics", label="table:descriptives", ctable=T, title="Variables", center='center', file=file.name)
  
} else {print("TABLE D1:"); print(Descriptives)}

