panel.myDotplot = function (x, y, groups = NULL, pch = dot.symbol$pch, col = dot.symbol$col, 
    cex = dot.symbol$cex, font = dot.symbol$font, abline, ...) 
{
    gfun <- ordGridFun(TRUE)
    segmnts <- gfun$segments
    y <- as.numeric(y)
    gp <- length(groups)
    dot.symbol <- trellis.par.get(if (gp) 
        "superpose.symbol"
    else "dot.symbol")
    dot.line <- trellis.par.get("dot.line")
    plot.line <- trellis.par.get(if (gp) 
        "superpose.line"
    else "plot.line")
    gfun$abline(h = unique(y), lwd = dot.line$lwd, lty = dot.line$lty, 
        col = dot.line$col)
    if (!missing(abline)) {
        if (length(names(abline))) 
            do.call("panel.abline", abline)
        else for (i in 1:length(abline)) do.call("panel.abline", 
            abline[[i]])
    }
    other <- attr(x, "other")
    x <- unclass(x)
    attr(x, "other") <- NULL
    if (length(other)) {
        nc <- ncol(other)
        segmnts(other[, 1], y, other[, nc], y, lwd = plot.line$lwd[1], 
            lty=plot.line$lty[1], col=plot.line$col)
        if (nc == 4) {
            segmnts(other[, 2], y, other[, 3], y, lwd = 2 * plot.line$lwd[1], 
                lty = plot.line$lty[1], col = plot.line$col[1])
            gfun$points(other[, 2], y, pch = 3, cex = cex, col = col, 
                font = font)
            gfun$points(other[, 3], y, pch = 3, cex = cex, col = col, 
                font = font)
        }
        if (gp) 
            panel.superpose(x, y, groups = as.numeric(groups), 
                pch = pch, col = col, cex = cex, font = font, 
                ...)
        else gfun$points(x, y, pch = pch[1], cex = cex, col = col, 
            font = font)
    }
    else {
        if (gp) 
            panel.superpose(x, y, groups = as.numeric(groups), 
                pch = pch, col = col, cex = cex, font = font, 
                ...)
        else panel.dotplot(x, y, pch = pch, col = col, cex = cex, 
            font = font, ...)
    }
    if (gp) {
        Key <- function(x = 0, y = 1, lev, cex, col, font, pch, 
            other) {
            if (!length(x)) 
                x <- 0.05
            if (!length(y)) 
                y <- 0.95
            rlegendg(x, y, legend = lev, cex = cex, col = col, 
                pch = pch, other = other)
            invisible()
        }
        lev <- levels(as.factor(groups))
        ng <- length(lev)
        formals(Key) <- list(x = NULL, y = NULL, lev = lev, cex = cex[1:ng], 
            col = col[1:ng], font = font[1:ng], pch = pch[1:ng], 
            other = NULL)
        #.setKey(Key)
    }
}