##################
#Install packages#
##################

#Get package files
packages = list.files('./packages')
#Get package names
package.names = unlist(lapply(strsplit(packages, '_', fixed = T), function(x) x[1]))
#Data.frame of packages
to.install = data.frame(package = packages, name = package.names, installed = F, stringsAsFactors = F)

#Loop until all packages are installed
counter = 0

while ( counter <= 10 & any(!to.install$installed) ){
  
  package.count = length(to.install$name[to.install$installed == F])
  installed.count = 0
  print(paste0("Attempting to install ", package.count, " packages..."))
  counter = counter + 1
  
  idx = which(!to.install$installed)
  
  for (i in idx){
    cat('\n')
    #Get package name
    name = to.install$name[i]
    cat(name)
    #If installation succeeds, indicate success.
    if (name %in% rownames(installed.packages())) {to.install$installed[i] = T; cat("...already installed.")}
    
    if (!to.install$installed[i]){
      #Get file.path
      file.path = paste("./packages", to.install$package[i], sep = "/")
      
      #Try to install package
      try( install.packages(file.path, repo = NULL, type="source", quiet = T, verbose = F) )
      
      #If installation succeeds, indicate success.
      if (name %in% rownames(installed.packages())) {to.install$installed[i] = T; cat("...success!"); installed.count = installed.count + 1} else {cat(paste0(name,"...installation failed."))}
    }
  }
  
  print(paste0(installed.count, ' out of ', package.count, ' installed successfully.'))
}

not.installed = paste0(to.install$package[!to.install$installed], collapse = ', ')
print(paste0("The following packages failed to install: ", not.installed))

#If installation from source fails, attempt to install from CRAN
if (any(!to.install$installed)){
  print("Attempting to install from CRAN")
  
  idx = which(!to.install$installed)
  
  for (i in idx){
    cat('\n')
    #Get package name
    name = to.install$name[i]
    cat(name)
    
    #install from CRAN
    try(install.packages(name, dependencies = T))
    
    #Update list of installed packages
    if (name %in% rownames(installed.packages())) {to.install$installed[i] = T; cat("...success!");} else {cat(paste0(name,"...installation failed."))}
  }
}


